Ext.define('WISA.Forms.lblessenrooster',{
  extend: 'WISA.Form',
  /* Change some config properties here */
  border: false, 
  /* Control references go here*/

  /* Build the actual form contents*/
  BuildForm: function () {

  /* Create controls here */
    return { iconCls: 'icon-wisa-panel-lessenrooster', html: '<div class="wisa-patience">Even geduld. Het lessenrooster wordt opgehaald...</div>', layout: 'fit'};
  }, 

 /* Return an appropriate title for the form here */
  getFormTitle: function () {
    return "Lessenrooster";
  }, 
  getLessenRooster: function (Provider,Response) {
    if (WISA.CheckError(Provider,Response,'Kon de locatie van het lessenrooster niet bepalen')) {
      this.removeAll();
      this.add([{xtype: 'panel', title:'', cls: 'wisa-e-txt', border: false, html: '<IMG SRC="'+Application.getAppURL()+Response.result+'" ALT="Klas lessenrooster"/>'}]);
      this.doLayout();
    }
  },
  /* Process parameters which have been passed here */
  ApplyParams : function (Params) {
    if ( Params != undefined ) {
      /* Call inherited ApplyParams */
      this.callParent(arguments);
      WebOudersAPI.GetLessenroosterURL(Params.ID,Ext.bind(this.getLessenRooster,this));
    }
  }
}); 
