program ccwebouders;

{$mode objfpc}{$H+}

uses
  {$IFDEF UNIX}{$IFDEF UseCThreads}
  cthreads,
  {$ENDIF}{$ENDIF}
  Classes, SysUtils, CustApp, createwebconfig, cfgwebwisa, cfgwebouders;

type
  { TweboudersConfigCreator }

  TweboudersConfigCreator = Class(TConfigCreator)
  protected
    function AppType: String; override;
    function CreateConfigObject: TWebWisaConfig; override;
  end;

  { TweboudersConfigApplication }

  TweboudersConfigApplication = class(TWebAppConfigApplication)
  protected
    Function CreateConfigCreator : TConfigCreator; override;
  end;

{ TweboudersConfigApplication }

function TweboudersConfigApplication.CreateConfigCreator: TConfigCreator;
begin
  Result:=TweboudersConfigCreator.Create(Self);
end;

{ TweboudersConfigCreator }

function TweboudersConfigCreator.AppType: String;
begin
  Result:='webouders';
end;

function TweboudersConfigCreator.CreateConfigObject: TWebWisaConfig;

Var
  W : TWebOudersConfig;

begin
  W:=TWebOudersConfig.Create(Nil);
  W.Motd.Text:='<EM>Welkom op de website voor ouders.</EM>';
  Result:=W;
end;

var
  Application: TweboudersConfigApplication;

{$R *.res}

begin
  Application:=TweboudersConfigApplication.Create(nil);
  CustomApplication:=Application;
  Application.Run;
  Application.Free;
end.

