program webouders;

{$mode objfpc}{$H+}

{$R *.res}

{$ifndef windows}
{$linklib pthread}
{$else}
{$apptype gui}
{$endif}
uses
  fpFCGI, cfgwebouders, wmouderdata, sqlwebouders, Classes, wmuser,
  SysUtils, custfcgi, webwisamenu, startwebwisa, wmforms, wmuserdata, webwisa,
  webwisalog, wmwisamanage, wrouders, ouderutils, wmfiles, wmcss, wmhtml,
  authwebouders;


Function ConfigApplication : TWisaRunMode;

Var
  DB : TWisaWebDatabase;

begin
  Result:=WebWisaStart(Settings, DefaultWisaWebOptions
                         + [wwoForceLogging,wwoSkipSecurity]
                         - [wwoUserManagement]);
  if Not (Result in [rmInstall,rmUninstall]) then
    begin
    RegisterDefaultUserManagement(false,false);
    RegisterOudersUserManagement;
    Settings.ConfigHiddenForms;
    DB:=DatabaseManager.CreateDatabase(Nil,'');
    try
      Settings.InitDatabase(DB);
    finally
      DB.Free;
    end;
    end;
end;


var
  rm : TWisaRunMode;

begin
  rm:=ConfigApplication;
  RunApplication(Rm,'Wisa Website Ouders');
end.

